freebsd-ports/net-im/jabber/pkg-install
Volker Stolz 3bc6a87b33 Update to 1.4.3
PR:		ports/66307
Submitted by:	c0decafe.net
Approved by:	maintainer timeout
2004-06-23 13:02:45 +00:00

56 lines
1.4 KiB
Bash

#!/bin/sh
if [ "$2" != "POST-INSTALL" ]; then
exit 0
fi
USER=jabber
GROUP=${USER}
UID=93
GID=${UID}
SPOOLDIR="/var/spool/jabber"
ETCDIR=${PREFIX:-$PKG_PREFIX}/etc
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${GROUP} -g ${GID}; then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "Jabber Daemon"; \
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
exit 1
fi
fi
if [ ! -d ${SPOOLDIR} ]; then
echo "Creating \"${SPOOLDIR}\"."
mkdir -p ${SPOOLDIR}
fi
echo "Fixing ownerships and modes in \"${SPOOLDIR}\"."
chown -R ${USER}:${GROUP} ${SPOOLDIR}
chmod -R go= ${SPOOLDIR}
if [ ! -f ${ETCDIR}/jabber.xml ]; then
echo "Creating \"${ETCDIR}/jabber.xml\"."
cp -p ${ETCDIR}/jabber.xml.sample ${ETCDIR}/jabber.xml
fi
echo "Fixing config files ownerships and modes."
chown root:${GROUP} ${ETCDIR}/jabber.xml ${ETCDIR}/jabber.xml.sample
chmod 640 ${ETCDIR}/jabber.xml ${ETCDIR}/jabber.xml.sample
echo "Fixing log files, ownerships and modes."
touch /var/log/jabber.error /var/log/jabber.record
chown ${USER}:${GROUP} /var/log/jabber.error /var/log/jabber.record
chmod 640 /var/log/jabber.error /var/log/jabber.record